Uses of Record Class
org.a2aproject.sdk.spec.TaskPushNotificationConfig
Packages that use TaskPushNotificationConfig
Package
Description
Common OpenTelemetry utilities and shared components for A2A Java SDK.
JSON-RPC 2.0 protocol message wrappers for the A2A Protocol.
JSON processing exceptions for the A2A Java SDK.
-
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.client
Methods in org.a2aproject.sdk.client that return TaskPushNotificationConfigModifier and TypeMethodDescriptionAbstractClient.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request) Create or update the push notification configuration for a specific task.abstract TaskPushNotificationConfigAbstractClient.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) Create or update the push notification configuration for a specific task.Client.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) Configure push notifications for a task.AbstractClient.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request) Retrieve the push notification configuration for a specific task.abstract TaskPushNotificationConfigAbstractClient.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Retrieve the push notification configuration for a specific task.Client.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Retrieve the push notification configuration for a task.Methods in org.a2aproject.sdk.client with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionAbstractClient.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request) Create or update the push notification configuration for a specific task.abstract TaskPushNotificationConfigAbstractClient.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) Create or update the push notification configuration for a specific task.Client.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) Configure push notifications for a task.voidAbstractClient.sendMessage(@NonNull Message request, @Nullable TaskPushNotificationConfig pushNotificationConfiguration, @Nullable Map<String, Object> metadata) Send a message to the remote agent.abstract voidAbstractClient.sendMessage(@NonNull Message request, @Nullable TaskPushNotificationConfig pushNotificationConfiguration, @Nullable Map<String, Object> metadata, @Nullable ClientCallContext context) Send a message to the remote agent.voidClient.sendMessage(@NonNull Message request, @Nullable TaskPushNotificationConfig pushNotificationConfiguration, @Nullable Map<String, Object> metadata, @Nullable ClientCallContext context) Send a message to the agent. -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.client.config
Methods in org.a2aproject.sdk.client.config that return TaskPushNotificationConfigModifier and TypeMethodDescription@Nullable TaskPushNotificationConfigClientConfig.getTaskPushNotificationConfig()Get the default push notification configuration.Methods in org.a2aproject.sdk.client.config with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionClientConfig.Builder.setTaskPushNotificationConfig(TaskPushNotificationConfig taskPushNotificationConfig) Set the default push notification configuration. -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.client.transport.grpc
Methods in org.a2aproject.sdk.client.transport.grpc that return TaskPushNotificationConfigModifier and TypeMethodDescriptionGrpcTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) GrpcTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Methods in org.a2aproject.sdk.client.transport.grpc with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionGrpcTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.client.transport.jsonrpc
Methods in org.a2aproject.sdk.client.transport.jsonrpc that return TaskPushNotificationConfigModifier and TypeMethodDescriptionJSONRPCTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) JSONRPCTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Methods in org.a2aproject.sdk.client.transport.jsonrpc with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionJSONRPCTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.client.transport.rest
Methods in org.a2aproject.sdk.client.transport.rest that return TaskPushNotificationConfigModifier and TypeMethodDescriptionRestTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) RestTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Methods in org.a2aproject.sdk.client.transport.rest with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionRestTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.client.transport.spi
Methods in org.a2aproject.sdk.client.transport.spi that return TaskPushNotificationConfigModifier and TypeMethodDescriptionClientTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) Create or update the push notification configuration for a specific task.ClientTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Retrieve the push notification configuration for a specific task.Methods in org.a2aproject.sdk.client.transport.spi with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionClientTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) Create or update the push notification configuration for a specific task. -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.compat03.conversion.mappers.domain
Methods in org.a2aproject.sdk.compat03.conversion.mappers.domain that return TaskPushNotificationConfigModifier and TypeMethodDescriptiondefault TaskPushNotificationConfigTaskPushNotificationConfigMapper_v0_3.toV10(TaskPushNotificationConfig_v0_3 v03) Converts v0.3 TaskPushNotificationConfig to v1.0 TaskPushNotificationConfig.Methods in org.a2aproject.sdk.compat03.conversion.mappers.domain with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptiondefault TaskPushNotificationConfig_v0_3TaskPushNotificationConfigMapper_v0_3.fromV10(TaskPushNotificationConfig v10) Converts v1.0 TaskPushNotificationConfig to v0.3 TaskPushNotificationConfig. -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.extras.opentelemetry
Methods in org.a2aproject.sdk.extras.opentelemetry that return TaskPushNotificationConfigModifier and TypeMethodDescriptionOpenTelemetryRequestHandlerDecorator.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) OpenTelemetryRequestHandlerDecorator.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) Methods in org.a2aproject.sdk.extras.opentelemetry with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionOpenTelemetryRequestHandlerDecorator.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.extras.opentelemetry.client
Methods in org.a2aproject.sdk.extras.opentelemetry.client that return TaskPushNotificationConfigModifier and TypeMethodDescriptionOpenTelemetryClientTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) OpenTelemetryClientTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Methods in org.a2aproject.sdk.extras.opentelemetry.client with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionOpenTelemetryClientTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.extras.opentelemetry.client.propagation
Methods in org.a2aproject.sdk.extras.opentelemetry.client.propagation that return TaskPushNotificationConfigModifier and TypeMethodDescriptionOpenTelemetryClientPropagatorTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) OpenTelemetryClientPropagatorTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Methods in org.a2aproject.sdk.extras.opentelemetry.client.propagation with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionOpenTelemetryClientPropagatorTransport.createTaskPushNotificationConfiguration(TaskPushNotificationConfig request, @Nullable ClientCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.extras.pushnotificationconfigstore.database.jpa
Methods in org.a2aproject.sdk.extras.pushnotificationconfigstore.database.jpa that return TaskPushNotificationConfigModifier and TypeMethodDescriptionJpaPushNotificationConfig.getConfig()JpaDatabasePushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig) JpaDatabasePushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig, @Nullable String protocolVersion) Methods in org.a2aproject.sdk.extras.pushnotificationconfigstore.database.jpa with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionvoidJpaPushNotificationConfig.setConfig(TaskPushNotificationConfig config) JpaDatabasePushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig) JpaDatabasePushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig, @Nullable String protocolVersion) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.grpc.mapper
Methods in org.a2aproject.sdk.grpc.mapper that return TaskPushNotificationConfigModifier and TypeMethodDescriptionTaskPushNotificationConfigMapper.fromProto(TaskPushNotificationConfig proto) Converts protobuf TaskPushNotificationConfig to domain TaskPushNotificationConfig.TaskPushNotificationConfigMapperImpl.fromProto(TaskPushNotificationConfig proto) Methods in org.a2aproject.sdk.grpc.mapper with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionTaskPushNotificationConfigMapper.toProto(TaskPushNotificationConfig domain) Converts domain TaskPushNotificationConfig to protobuf TaskPushNotificationConfig.TaskPushNotificationConfigMapperImpl.toProto(TaskPushNotificationConfig domain) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.grpc.utils
Methods in org.a2aproject.sdk.grpc.utils that return TaskPushNotificationConfigModifier and TypeMethodDescriptionstatic TaskPushNotificationConfigProtoUtils.FromProto.createTaskPushNotificationConfig(TaskPushNotificationConfigOrBuilder config) static TaskPushNotificationConfigProtoUtils.FromProto.taskPushNotificationConfig(TaskPushNotificationConfigOrBuilder config) Methods in org.a2aproject.sdk.grpc.utils with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionstatic TaskPushNotificationConfigProtoUtils.ToProto.createTaskPushNotificationConfigRequest(TaskPushNotificationConfig config) static TaskPushNotificationConfigProtoUtils.ToProto.createTaskPushNotificationConfigResponse(TaskPushNotificationConfig config) static TaskPushNotificationConfigProtoUtils.ToProto.getTaskPushNotificationConfigResponse(TaskPushNotificationConfig config) static TaskPushNotificationConfigProtoUtils.ToProto.taskPushNotificationConfig(TaskPushNotificationConfig config) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.jsonrpc.common.wrappers
Methods in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionCreateTaskPushNotificationConfigRequest.Builder.params(TaskPushNotificationConfig params) Sets the request parameters.Constructors in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type TaskPushNotificationConfigModifierConstructorDescriptionCreateTaskPushNotificationConfigRequest(String jsonrpc, Object id, TaskPushNotificationConfig params) Constructs request with all parameters.CreateTaskPushNotificationConfigRequest(String id, TaskPushNotificationConfig taskPushConfig) Constructs request with ID and parameters.Constructs success response.CreateTaskPushNotificationConfigResponse(String jsonrpc, Object id, TaskPushNotificationConfig result, A2AError error) Constructs response with all parameters.Constructs successful response.GetTaskPushNotificationConfigResponse(String jsonrpc, Object id, TaskPushNotificationConfig result, A2AError error) Constructs response with full parameters. -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.server.requesthandlers
Methods in org.a2aproject.sdk.server.requesthandlers that return TaskPushNotificationConfigModifier and TypeMethodDescriptionAuthorizationRequestHandlerDecorator.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) DefaultRequestHandler.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) RequestHandler.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) AuthorizationRequestHandlerDecorator.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) DefaultRequestHandler.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) RequestHandler.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) Methods in org.a2aproject.sdk.server.requesthandlers with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionAuthorizationRequestHandlerDecorator.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) DefaultRequestHandler.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) RequestHandler.onCreateTaskPushNotificationConfig(TaskPushNotificationConfig params, ServerCallContext context) -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.server.tasks
Methods in org.a2aproject.sdk.server.tasks that return TaskPushNotificationConfigModifier and TypeMethodDescriptionInMemoryPushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig) InMemoryPushNotificationConfigStore.setInfo(TaskPushNotificationConfig config, @Nullable String protocolVersion) PushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig) Sets or updates the push notification configuration for a task.default TaskPushNotificationConfigPushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig, @Nullable String protocolVersion) Sets or updates the push notification configuration for a task, along with the protocol version that registered it.Methods in org.a2aproject.sdk.server.tasks with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionInMemoryPushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig) InMemoryPushNotificationConfigStore.setInfo(TaskPushNotificationConfig config, @Nullable String protocolVersion) PushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig) Sets or updates the push notification configuration for a task.default TaskPushNotificationConfigPushNotificationConfigStore.setInfo(TaskPushNotificationConfig notificationConfig, @Nullable String protocolVersion) Sets or updates the push notification configuration for a task, along with the protocol version that registered it. -
Uses of TaskPushNotificationConfig in org.a2aproject.sdk.spec
Methods in org.a2aproject.sdk.spec that return TaskPushNotificationConfigModifier and TypeMethodDescriptionTaskPushNotificationConfig.Builder.build()Builds theTaskPushNotificationConfig.@Nullable TaskPushNotificationConfigMessageSendConfiguration.taskPushNotificationConfig()Returns the value of thetaskPushNotificationConfigrecord component.Methods in org.a2aproject.sdk.spec that return types with arguments of type TaskPushNotificationConfigModifier and TypeMethodDescriptionListTaskPushNotificationConfigsResult.configs()Returns the value of theconfigsrecord component.Methods in org.a2aproject.sdk.spec with parameters of type TaskPushNotificationConfigModifier and TypeMethodDescriptionTaskPushNotificationConfig.builder(TaskPushNotificationConfig config) Create a new Builder initialized with values from an existing TaskPushNotificationConfig.MessageSendConfiguration.Builder.taskPushNotificationConfig(@Nullable TaskPushNotificationConfig taskPushNotificationConfig) Sets the push notification configuration.Constructors in org.a2aproject.sdk.spec with parameters of type TaskPushNotificationConfigModifierConstructorDescriptionMessageSendConfiguration(@Nullable List<String> acceptedOutputModes, @Nullable Integer historyLength, @Nullable TaskPushNotificationConfig taskPushNotificationConfig, Boolean returnImmediately) Compact constructor for validation.Constructor parameters in org.a2aproject.sdk.spec with type arguments of type TaskPushNotificationConfigModifierConstructorDescriptionConstructor for results without pagination.ListTaskPushNotificationConfigsResult(List<TaskPushNotificationConfig> configs, @Nullable String nextPageToken) Compact constructor for validation.